package org.chenyang.http.impl.client;

import org.chenyang.http.annotation.Contract;
import org.chenyang.http.annotation.ThreadingBehavior;

@Contract(
   threading = ThreadingBehavior.IMMUTABLE
)
public class LaxRedirectStrategy extends DefaultRedirectStrategy {
   public static final LaxRedirectStrategy INSTANCE = new LaxRedirectStrategy();

   public LaxRedirectStrategy() {
      super(new String[]{"GET", "POST", "HEAD", "DELETE"});
   }
}
